Re: pdk 0.2.0

David Schmitt
 

The packages on Google Drive have been updated to the latest builds, that have the 0.2.0 pdk gem built in.

On 21 June 2017 at 16:02, David Schmitt <david.schmitt@...> wrote:
Hi folks,

We fixed the system binary fallback, and added a few more commands, so we wanted to refresh what's available on rubygems. This is still a development snapshot with a couple of rough edges, but these commands do work:

  • pdk new module
  • pdk new class
  • pdk validate puppet
  • pdk validate ruby

See the CHANGELOG for details.

The pdk-module-template has also been updated to support those features.

If you need a ruby for your platform to run this, we also have a preview of the native packages we will be providing: https://drive.google.com/open?id=0Bz0tCHSb1u41alR4MmZfRHBTV1k Please note that you need to upgrade the pdk gem in those packages!


As always, I'd love to hear your feedback on this, either here, or in private.

Cheers, David


Join voxpupuli@groups.io to automatically receive all group messages.